Skip to main content

Update Opportunity By Id

POST 

/ad/v1/opportunity/:opportunity_id

Update the opportunity with the given id. This will generate a new ad api token that is returned in the response header.

Request

Path Parameters

    opportunity_id Opportunity Idrequired

    Possible values: non-empty

Header Parameters

    x-hz-ad-api-token X-Hz-Ad-Api-Token

    Optional header to make calling the endpoint faster by not requiring a new token to be generated.

Body

required

    state OpportunityState (string)required

    Possible values: [start, complete, abort]

    An enumeration.

    abort_reason OpportunityAbortReason (string)

    Possible values: [cancel, other]

    An enumeration.

    abort_seconds Abort Seconds (integer)

    Number of seconds into the video when the abort happened

Responses

Successful Response

Response Headers

  • x-hz-ad-api-token

    string

    Provide this token to future requests for the same user to make their requests faster (as a new token doesn't need to be generated)

Schema

    any

Loading...